import docker

cmd = 'pytest /usr/src/app/seaborn/tests/_core/test_scales.py::TestContinuous::test_label_type_checks --tb=short -v'
client = docker.from_env()  # Docker client to interact with Docker
container = client.containers.get('repocod_seaborn')

execute_result = container.exec_run(
                    cmd = cmd,
                    stdout = True,
                    stderr = True,
                    demux = True, # returns (stdout, stderr)
                    workdir = '/usr/src/app/seaborn', # fixed workdir for now
                    tty = False
                )


print(execute_result)